import java.awt.Button;
import java.awt.Frame;

public class ButtonDemoFrame extends Frame
{
  public ButtonDemoFrame()
  {
    super();

    setTitle( "Button Demo" );
    setSize( 300, 250 );

    String[] labels = { "North", "South", "East", "West", "Center" };
    for ( int i = 0; i < labels.length; i++ )
      makeButton( labels[i] );
  }
  
  protected void makeButton( String position )
  {
    Button localButton = new Button( position );
    localButton.setSize( 80, 80 );
    localButton.addActionListener( new DemoButtonListener( localButton ) );
    add( position, localButton );
  }
}
